package com.brilliance.isc.model.usr;

import java.io.Serializable;

/**
 * (Ubr)实体类
 *
 * @author makejava
 * @since 2022-11-14 09:37:22
 */
public class Ubr implements Serializable {
    private static final long serialVersionUID = 531164667623323733L;

    /**
     * 唯一ID
     */
    private String inr;

    /**
     * 用户ID
     */
    private String usrinr;

    /**
     * 交易名
     */
    private String bussec;

    /**
     * 授权币种
     */
    private String relcur;

    /**
     * 授权金额
     */
    private String relamt;

    /**
     * 第二授权金额
     */
    private String relamt2nd;

    /**
     * 授权状态
     */
    private String relgrp;

    /**
     * 交易代码
     */
    private String trncod;

    /**
     * 交易所属机构
     */
    private String branchinr;

    /**
     * 一次性授权
     */
    private String autcur;

    /**
     * 一次性释放授权
     */
    private String autamt;


    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getUsrinr() {
        return usrinr;
    }

    public void setUsrinr(String usrinr) {
        this.usrinr = usrinr;
    }

    public String getBussec() {
        return bussec;
    }

    public void setBussec(String bussec) {
        this.bussec = bussec;
    }

    public String getRelcur() {
        return relcur;
    }

    public void setRelcur(String relcur) {
        this.relcur = relcur;
    }

    public String getRelamt() {
        return relamt;
    }

    public void setRelamt(String relamt) {
        this.relamt = relamt;
    }

    public String getRelamt2nd() {
        return relamt2nd;
    }

    public void setRelamt2nd(String relamt2nd) {
        this.relamt2nd = relamt2nd;
    }

    public String getRelgrp() {
        return relgrp;
    }

    public void setRelgrp(String relgrp) {
        this.relgrp = relgrp;
    }

    public String getTrncod() {
        return trncod;
    }

    public void setTrncod(String trncod) {
        this.trncod = trncod;
    }

    public String getBranchinr() {
        return branchinr;
    }

    public void setBranchinr(String branchinr) {
        this.branchinr = branchinr;
    }

    public String getAutcur() {
        return autcur;
    }

    public void setAutcur(String autcur) {
        this.autcur = autcur;
    }

    public String getAutamt() {
        return autamt;
    }

    public void setAutamt(String autamt) {
        this.autamt = autamt;
    }

}

